#ifndef __TEST_PROXY_H__
#define __TEST_PROXY_H__

int restart_proxy(char *);
void kill_proxy(void);
int tcpserv(int);

extern struct sockaddr_in saddr;

extern int error_flag;
extern int done;
extern char *sample_buffer;
extern int sample_size;
extern char *proxy_name;
extern int client_port;
#define ISSET(a,b) (((a) & (b)) == (b))
#define ARESET(a,b) (((a) & (b)) == (b))

#define SERVER_PORT 1093
#define CLIENT_PORT 1088

/* Client side testing */
typedef struct {
	int offset;
	int diff;
} check_data_t, *check_data_p;

typedef struct {
	void (*client)(void *arg);
	void (*server)(void *arg);
	int  max_conn;
	int  max_sim;
} phase_info_t;

typedef struct {
	int  succeeded;
	int  num_conn;
} phase_ret_t;

void do_phase1(void);
void do_phase2(void);
void do_phase3(void);
void do_phase4(void);
void do_phase5(void);
void do_phase6(void);

void do_phase(phase_info_t *info, phase_ret_t *ret);


#endif
